import java.io.*;
import java.util.*;

public class race_av  implements Runnable{
	public static void main(String[] args){
		new Thread(new race_av()).start();
	}
	
	BufferedReader br;
	StringTokenizer in;
	PrintWriter out;
	
	public String nextToken() throws IOException{
		while (in == null || !in.hasMoreTokens()){
			in = new StringTokenizer(br.readLine());
		}
		return in.nextToken();
	}
	
	public int nextInt() throws IOException{
		return Integer.parseInt(nextToken());
	}
	
	double Eps = 0.00000001;

	public void solve() throws IOException{
		int t1 = nextInt();
		int v1 = nextInt();
		int t2 = nextInt();
		int v2 = nextInt();
		int X = nextInt();

		if (t1 > 1000 || t1 <= 0)
		   throw new AssertionError("Wrong t1");
		if (v1 > 1000 || v1 <= 0)
		   throw new AssertionError("Wrong v1");
		if (t2 > 1000 || t2 <= 0)
		   throw new AssertionError("Wrong t2");
		if (v2 > 1000 || v2 <= 0)
		   throw new AssertionError("Wrong v2");
		if (X > 1000000 || X <= 0)
		   throw new AssertionError("Wrong X");

		double time1 = (X / (t1 * v1)) * (2 * t1) + 1.0 * (X % (t1 * v1)) / v1;
		if (X % (t1 * v1) == 0)
		  time1 -= t1;
		double time2 = (X / (t2 * v2)) * (2 * t2) + 1.0 * (X % (t2 * v2)) / v2;
		if (X % (t2 * v2) == 0)
		  time2 -= t2;

		if (time1 > time2 + Eps){
		   out.println("Second");
 		   return;
		}
		if (time1 < time2 - Eps){
		   out.println("First");
		   return;
		}
		
		out.println("Draw");
	}
	
	public void run(){
		try{
			br = new BufferedReader(new FileReader("race.in"));
			out = new PrintWriter("race.out");
			
			solve();
			
			out.close();
		}
		catch(IOException e){
			e.printStackTrace();
			System.exit(1);
		}
	}	
	
}
